Skip to main content
`Ctrl`+`K`

# PEPGetTarget

Gets the value of the target.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetTarget(PEP pep,PetscScalar* target)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- target - the value of the target

## Note

If the target was not set by the user, then zero is returned.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetTarget()`

## Level

intermediate

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages